/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Model.Thumbs = Class.create(Photos.Model.Scene, {
	initialize: function($super, albumID, albumName) {
		if (albumID === undefined || albumName === undefined) {
			throw "Invalid params to new Thumbs model!";
		}
		$super();
		this.albumID = albumID;
		this.albumName = albumName;
	},

	newFullscreenModel: function(index) {
		return new Photos.Model.Fullscreen(
					this.albumID, this.albumName, index);
	},

	targetWidth: function() {
		return 90;
	},

	targetHeight: function() {
		return 90;
	},

	useRowRequester: function() {
		return true;
	},

	getName: function(callback) {
		callback(this.albumName);
	},

	// call callback(text) with a string to put into the description
	// of the photo at the top of the fullscreen view.
	getDescription: function(callback) {
	},

	allowComments: function() {
		return false;
	},

	showAlbumName: function() {
		return false;
	}
});

